Subject: Re: bug#24772: 26.0.50; homoglyph face is used in Gnus, eww

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Oct 2016 19:47:29 +0300

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 23 Oct 2016 18:38:37 +0200
> 
> Indeed, the problem is that standard-display-table is set by
> startup--setup-quote-display when the daemon starts and it is used for
> all terminals.
> 
> This model seems wrong. An Emacs server can have several terminals. We
> need a substitution table (an standard-display-table) for each terminal,
> don't we?

Each window can have its own display table.  I suggested to use this
back when Paul implemented this feature.